.primary {
    overflow: hidden;
    position: relative;

    &__slider {
        z-index: 1;
        position: relative;
    }

    &__item {
        color: $white;
        line-height: 125%;
        font-size: rem(13);
        height: rem(460);
        padding-top: rem(64);
        text-align: center;
        position: relative;
    }

    &__content {
        z-index: 20;
        width: 100%;
        position: relative;
    }

    &__header {
        font-weight: 700;
        line-height: 115%;
        font-size: rem(26);
        margin-bottom: rem(24);
    }

    &__text {
        margin-bottom: rem(32);
    }

    &__media {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1;
        position: absolute;
    }

    &__pattern {
        top: 0;
        bottom: 0;
        z-index: 5;
        position: absolute;

        &--01 {
            left: 0;
            width: calc(100% + 68px);
            opacity: 0.75;
            background: linear-gradient(92deg, #260020 0.52%, rgba(41, 3, 35, 0.00) 32.29%, rgba(0, 0, 0, 0.00) 61.46%, rgba(0, 0, 0, 0.00) 100%);
        }

        &--02 {
            left: 0;
            width: calc(100% + 68px);
            opacity: 0.75;
            background: linear-gradient(92deg, #0A0008 0.52%, #290323 32.29%, rgba(0, 0, 0, 0.72) 61.46%, rgba(0, 0, 0, 0.00) 100%);
        }
    }

    &__navigation {
        z-index: 40;
        bottom: 0;
        background: $white;
        right: calc(50% - 125px);
        width: 250px;
        position: absolute;
    }

    &__prev {
        display: flex;
    }

    &__thumb {
        width: 50%;
        height: 125px;
        flex-shrink: 0;
    }

    &__info {
        position: relative;
        padding: rem(38) rem(10) 0 rem(14);
    }

    &__title {
        color: $dark;
        font-weight: 600;
        line-height: 115%;
        font-size: rem(13);
    }

    &__counter {
        left: rem(14);
        font-weight: 600;
        bottom: rem(10);
        color: #828282;
        position: absolute;
        font-size: rem(11);
        line-height: 125%;

        strong {
            color: $dark;
            font-weight: 600;
            font-size: rem(16);
        }
    }

    &__nav {
        right: 0;
        bottom: 0;
        z-index: 40;
        position: absolute;
        display: flex;
        align-items: center;
    }

    &__control {
        border: none;
        outline: none;
        font-size: 0;
        line-height: 0;
        cursor: pointer;
        width: rem(28);
        height: rem(40);
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            flex-shrink: 0;
            height: rem(6);
            display: inline-block;
        }

        &--prev {
            fill: #828282;
            background: $white;
        }

        &--next {
            fill: $white;
            background: $purple;
        }
    }

    @include media-breakpoint-up(md) {

        &__item {
            text-align: left;
            font-size: rem(20);
            height: rem(705);
            padding-top: rem(138);
        }

        &__header {
            font-size: rem(50);
            margin-bottom: rem(24);
        }

        &__text {
            margin-bottom: rem(60);
        }

        &__button {

            .btn {
                min-width: rem(332);
            }
        }

        &__pattern {

            &--01 {
                width: 80%;
                background: linear-gradient(92deg, #260020 0.52%, rgba(41, 3, 35, 0.00) 32.29%, rgba(0, 0, 0, 0.00) 61.46%, rgba(0, 0, 0, 0.00) 100%);
            }

            &--02 {
                width: 80%;
                background: linear-gradient(92deg, #0A0008 0.52%, #290323 32.29%, rgba(0, 0, 0, 0.72) 61.46%, rgba(0, 0, 0, 0.00) 100%);
            }

            &--03 {
                right: 0;
                width: 50%;
                opacity: 0.55;
                background: linear-gradient(92deg, #0A0008 0.52%, #290323 32.29%, rgba(0, 0, 0, 0.72) 61.46%, rgba(0, 0, 0, 0.00) 100%);
                transform: rotate(180deg);
            }
        }

        &__navigation {
            right: 0;
            width: rem(380);
        }

        &__thumb {
            height: 190px;
        }

        &__info {
            padding-top: rem(68);
            padding-left: rem(22);
        }

        &__title {
            font-size: rem(18);
        }

        &__counter {
            left: rem(22);
            bottom: rem(18);
            font-size: rem(12);

            strong {
                font-size: rem(22);
            }
        }

        &__control {
            width: rem(44);
            height: rem(58);

            i {
                height: rem(10);
            }
        }
    }

    @include media-breakpoint-up(lg) {}

    @include media-breakpoint-up(xl) {

        &__item {
            height: rem(738);
            padding-top: rem(200);
        }
    }

    @include media-breakpoint-up(xxl) {

        &__navigation {
            width: rem(390);
        }

        &__thumb {
            height: 195px;
        }
    }
}
